ReflectionFunctionAbstract::getNamespaceName
ReflectionFunctionAbstract::getNumberOfRequiredParameters
ReflectionFunctionAbstract
PHP Manual

# ReflectionFunctionAbstract::getNumberOfParameters

Gets number of parameters

### Description

public int ReflectionFunctionAbstract::getNumberOfParameters ( void )

Get the number of parameters that a function defines, both optional and required.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The number of parameters.

### See Also

- ReflectionFunctionAbstract::getNumberOfRequiredParameters
- func_num_args